Skip to main content
PUT
/
v3
/
enterprise
/
ip-access-list
Replace IP Access List
curl --request PUT \
  --url https://api.devin.ai/v3/enterprise/ip-access-list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ip_ranges": [
    "<string>"
  ]
}
'
import requests

url = "https://api.devin.ai/v3/enterprise/ip-access-list"

payload = { "ip_ranges": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip_ranges: ['<string>']})
};

fetch('https://api.devin.ai/v3/enterprise/ip-access-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ip_ranges": [
    "<string>"
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
This is a potentially destructive operation. This endpoint replaces the entire IP access list — any IP ranges not included in the request body will be removed, which can lock out users and integrations. Include all desired ranges in every request.

Permissions

Requires a service user with the ManageIPWhitelist permission at the enterprise level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Body

application/json
ip_ranges
string[]
required

Response

Successful Response

ip_ranges
string[]
required